Piloterr

SimilarWeb Domain

Retrieve website traffic and engagement metrics for any domain from SimilarWeb, including visits, bounce rate, top keywords, and traffic sources.

Credit cost: 1 credit per call

GET
/v2/similarweb/domain

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

A domain name to retrieve traffic and engagement metrics for.

Examples:

google.com

Provide the bare domain without https:// or www. prefixes.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/similarweb/domain?query=string"
{
  "title": "",
  "category": "computers_electronics_and_technology/search_engines",
  "site_name": "google.com",
  "engagments": {
    "year": "2024",
    "month": "5",
    "visits": "86249524745",
    "bounce_rate": "0.28024037791407225",
    "time_on_site": "641.4282025756406",
    "page_per_visit": "8.752416969603086"
  },
  "global_rank": {
    "rank": 1
  },
  "country_rank": {
    "rank": 1,
    "country": 840,
    "country_code": "US"
  },
  "top_keywords": [
    {
      "cpc": 1.08870175,
      "name": "gmail",
      "volume": 107944750,
      "estimated_value": 16490414
    },
    {
      "cpc": 0.7102735625,
      "name": "google",
      "volume": 69586760,
      "estimated_value": 6776722
    },
    {
      "cpc": 0.40845490625,
      "name": "google maps",
      "volume": 59602370,
      "estimated_value": 4539415
    }
  ],
  "category_rank": {
    "rank": "1",
    "category": "Computers_Electronics_and_Technology/Search_Engines"
  },
  "snapshot_date": "2024-05-01T00:00:00+00:00",
  "traffic_sources": {
    "mail": 0.0017641,
    "direct": 0.9503452,
    "search": 0.00488378,
    "social": 0.0209163,
    "referrals": 0.0214876,
    "paid_referrals": 0.000602931
  },
  "large_screenshot": "https://site-images.similarcdn.com/image?url=google.com&t=1&s=1&h=eb35e0fbafa3eb290132ffdfe47187d950d68daaa659ec1bd4b4e834b8f16461",
  "top_country_shares": [
    {
      "value": 0.2648986,
      "country": 840,
      "country_code": "US"
    },
    {
      "value": 0.045608,
      "country": 356,
      "country_code": "IN"
    }
  ]
}
{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}